package cn.gygxzc.envir.core

import cn.gygxzc.cloud.tina.auth.AUTH_REDIS_TEMPLATE
import cn.gygxzc.cloud.tina.auth.shiro.cache.ShiroCacheManager
import org.apache.shiro.cache.CacheManager
import org.springframework.beans.factory.annotation.Qualifier
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean
import org.springframework.context.annotation.Bean
import org.springframework.context.annotation.Configuration
import org.springframework.data.redis.core.RedisTemplate

/**
 * Created by niantuo on 2018/11/1.
 */
@Configuration
class CoreConfiguration {

    @Bean
    @ConditionalOnMissingBean(CacheManager::class)
    fun shiroRedisCacheManager(@Qualifier(AUTH_REDIS_TEMPLATE) redisTemplate: RedisTemplate<String, Any>):CacheManager{
        return ShiroCacheManager(redisTemplate)
    }
}